package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_member")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class MemberDO implements Serializable {

    /**
     * 会员ID
     */
    @Id(name = "member_id")
    @ApiModelProperty(value = "会员ID", required = false)
    private Integer memberId;
    /**
     * 会员登陆用户名
     */
    @Column(name = "uname")
    @ApiModelProperty(value = "会员登陆用户名", required = false)
    private String uname;
    /**
     * 会员登陆密码
     */
    @Column(name = "password")
    @ApiModelProperty(value = "会员登陆密码", required = false)
    private String password;
    /**
     * 会员注册时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "会员注册时间", required = false)
    private Long createTime;
    /**
     * 会员性别,1为男，0为女
     */
    @Column(name = "sex")
    @ApiModelProperty(value = "会员性别,1为男，0为女", required = false)
    private Integer sex;
    /**
     * 会员生日
     */
    @Column(name = "birthday")
    @ApiModelProperty(value = "会员生日", required = false)
    private Long birthday;
    /**
     * 所属省份ID
     */
    @Column(name = "province_id")
    @ApiModelProperty(value = "所属省份ID", required = false)
    private Integer provinceId;
    /**
     * 所属城市ID
     */
    @Column(name = "city_id")
    @ApiModelProperty(value = "所属城市ID", required = false)
    private Integer cityId;
    /**
     * 所属县(区)ID
     */
    @Column(name = "county_id")
    @ApiModelProperty(value = "所属县(区)ID", required = false)
    private Integer countyId;
    /**
     * 所属城镇ID
     */
    @Column(name = "town_id")
    @ApiModelProperty(value = "所属城镇ID", required = false)
    private Integer townId;
    /**
     * 所属省份名称
     */
    @Column(name = "province")
    @ApiModelProperty(value = "所属省份名称", required = false)
    private String province;
    /**
     * 所属城市名称
     */
    @Column(name = "city")
    @ApiModelProperty(value = "所属城市名称", required = false)
    private String city;
    /**
     * 所属县(区)名称
     */
    @Column(name = "county")
    @ApiModelProperty(value = "所属县(区)名称", required = false)
    private String county;
    /**
     * 所属城镇名称
     */
    @Column(name = "town")
    @ApiModelProperty(value = "所属城镇名称", required = false)
    private String town;
    /**
     * 详细地址
     */
    @Column(name = "address")
    @ApiModelProperty(value = "详细地址", required = false)
    private String address;
    /**
     * 手机号码
     */
    @Column(name = "mobile")
    @ApiModelProperty(value = "手机号码", required = false)
    private String mobile;
    /**
     * 会员备注
     */
    @Column(name = "remark")
    @ApiModelProperty(value = "会员备注", required = false)
    private String remark;
    /**
     * 上次登陆时间
     */
    @Column(name = "last_login")
    @ApiModelProperty(value = "上次登陆时间", required = false)
    private Long lastLogin;
    /**
     * 登陆次数
     */
    @Column(name = "login_count")
    @ApiModelProperty(value = "登陆次数", required = false)
    private Integer loginCount;
    /**
     * 会员头像
     */
    @Column(name = "face")
    @ApiModelProperty(value = "会员头像", required = false)
    private String face;
    /**
     * 身份证号
     */
    @Column(name = "midentity")
    @ApiModelProperty(value = "身份证号", required = false)
    private String midentity;
    /**
     * 昵称
     */
    @Column(name = "nickname")
    @ApiModelProperty(value = "昵称", required = false)
    private String nickname;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;

    /**
     * 最后登录机构id
     */
    @Column(name = "last_login_shopid", allowNullUpdate = true)
    @ApiModelProperty(name = "last_login_shopid", value = "最后登录机构id", required = false)
    private Integer lastLoginShopid;

    @PrimaryKeyField
    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }


    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }


    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }


    public Long getBirthday() {
        return birthday;
    }

    public void setBirthday(Long birthday) {
        this.birthday = birthday;
    }


    public Integer getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Integer provinceId) {
        this.provinceId = provinceId;
    }


    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }


    public Integer getCountyId() {
        return countyId;
    }

    public void setCountyId(Integer countyId) {
        this.countyId = countyId;
    }


    public Integer getTownId() {
        return townId;
    }

    public void setTownId(Integer townId) {
        this.townId = townId;
    }


    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }


    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }


    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }


    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }


    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }


    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }


    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }


    public Long getLastLogin() {
        return lastLogin;
    }

    public void setLastLogin(Long lastLogin) {
        this.lastLogin = lastLogin;
    }


    public Integer getLoginCount() {
        return loginCount;
    }

    public void setLoginCount(Integer loginCount) {
        this.loginCount = loginCount;
    }


    public String getFace() {
        return face;
    }

    public void setFace(String face) {
        this.face = face;
    }


    public String getMidentity() {
        return midentity;
    }

    public void setMidentity(String midentity) {
        this.midentity = midentity;
    }


    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public Integer getLastLoginShopid() {
        return lastLoginShopid;
    }

    public void setLastLoginShopid(Integer lastLoginShopid) {
        this.lastLoginShopid = lastLoginShopid;
    }
}
